var adabassoagateway = {
    baseurls: ["../"],
    varname: "adabassoagateway",
    tree:
    [
      { url: "concepts/index.htm", title: "Concepts and Facilities",
       tree: [
            { url: "concepts/concepts.htm", title: "SOA Gateway Concepts and Facilities" },
         ]
        },
      { url: "gettingstarted/index.htm", title: "Getting Started",
       tree: [
            { url: "gettingstarted/intro.htm", title: "Introduction to the SOA Gateway Control Centre" },
            { url: "gettingstarted/eclintro.htm", title: "Introduction to Eclipse" },
         ]
        },
      { url: "installation/index.htm", title: "Installation",
       tree: [
            { url: "installation/prereq.htm", title: "Installation Prerequisites" },
            { url: "installation/inst-common.htm", title: "Installing and Setting Up Software AG Products under UNIX" },
            { url: "installation/instcc.htm", title: "Installing the SOA Gateway Control Centre" },
            { url: "installation/updcc.htm", title: "Control Centre and server package update installation" },
            { url: "installation/instlinux.htm", title: "Installation Procedure" },
            { url: "installation/instver.htm", title: "Installation verification" },
            { url: "installation/instwin.htm", title: "Server and Control Center on Windows" },
            { url: "installation/instzos.htm", title: "z/OS Installation Procedure" },
            { url: "installation/instzvse.htm", title: "z/VSE Environments" },
            { url: "installation/uninlinux.htm", title: "Uninstallation Guide" },
            { url: "installation/upgrade.htm", title: "Copying or upgrading server configurations" },
         ]
        },
      { url: "relnotes/index.htm", title: "Release Notes",
       tree: [
            { url: "relnotes/install.htm", title: "Installation Overview" },
            { url: "relnotes/compat.htm", title: "Compatibility with Other Software AG Products" },
            { url: "relnotes/issues.htm", title: "Issues" },
            { url: "relnotes/new_feat.htm", title: "New features" },
            { url: "relnotes/drop_feat.htm", title: "Features to be discontinued in future versions" },
         ]
        },
      { url: "configuration/index.htm", title: "Server Configuration",
        },
      { url: "reference/index.htm", title: "Reference",
       tree: [
            { url: "reference/soaprefd.htm", title: "SOA Gateway Resource Access" },
            { url: "reference/soaprefc.htm", title: "SOAP" },
            { url: "reference/restrefc.htm", title: "REST" },
            { url: "reference/faq.htm", title: "Frequently Asked Questions" },
            { url: "reference/performance.htm", title: "Performance Hints" },
            { url: "reference/i18n.htm", title: "Internationalization" },
            { url: "reference/stylesht.htm", title: "Creating a Stylesheet for your SOA Gateway Data" },
         ]
        },
      { url: "glossary/index.htm", title: "Glossary",
        },
      { url: "troubleshooting/index.htm", title: "Troubleshooting",
       tree: [
            { url: "troubleshooting/tinstall.htm", title: "Troubleshooting SOA Gateway Installation issues" },
            { url: "troubleshooting/tsclient.htm", title: "Troubleshooting SOA Gateway Client side issues" },
            { url: "troubleshooting/tsserver.htm", title: "Troubleshooting SOA Gateway Server issues" },
            { url: "troubleshooting/tseclipse.htm", title: "SOA Gateway Control Center (Eclipse) Troubleshooting" },
         ]
        },
      { url: "tutorials/index.htm", title: "Tutorials",
       tree: [
            { url: "tutorials/d0e67.htm", title: "Adabas Tutorials" },
            { url: "tutorials/acc_jgen.htm", title: "Using Java (Axis2) wrapper classes" },
            { url: "tutorials/phpsoap.htm", title: "Accessing Adabas using the PHP SOAP extension" },
            { url: "tutorials/acc_ruby.htm", title: "Accessing a SOA Gateway Resource from a Ruby program" },
            { url: "tutorials/acc_dnet.htm", title: "Creating a sample C# application" },
            { url: "tutorials/soapui.htm", title: "Accessing Adabas through SoapUI" },
            { url: "tutorials/lobs_prepare.htm", title: "Preparing for the LOBs (Large OBjects) samples" },
            { url: "tutorials/lobs_soapui.htm", title: "Using LOBs (Large OBjects) with soapUi" },
            { url: "tutorials/lobs_PHP.htm", title: "Accessing LOBs from PHP" },
            { url: "tutorials/lobs_browser.htm", title: "Accessing LOBs using a browser" },
            { url: "tutorials/acc_msip.htm", title: "Accessing Adabas through Microsoft InfoPath" },
            { url: "tutorials/trans_soapui.htm", title: "Using Transactions with soapUI" },
            { url: "tutorials/eclipse_cvs.htm", title: "SOA Gateway - Configuration Versioning with Eclipse and CVS" },
            { url: "tutorials/demo01.htm", title: "Tut_02_List.java" },
            { url: "tutorials/demo02.htm", title: "ex01_SoaGatewayFirst.php" },
            { url: "tutorials/demo03.htm", title: "ex02_SoaGatewayEmpList.php" },
            { url: "tutorials/demo04.htm", title: "ex02a_SoaGatewayEmpListDescending.php" },
            { url: "tutorials/demo05.htm", title: "ex02a_SoaGatewayEmpListSorted.php" },
            { url: "tutorials/demo06.htm", title: "ex06_SoaGatewaySpecial_SubDescriptor.php" },
            { url: "tutorials/demo07.htm", title: "ex06_SoaGatewaySpecial_SuperDescriptor.php" },
            { url: "tutorials/demo08.htm", title: "ex03_SoaGatewayEmpAdd.php" },
            { url: "tutorials/demo09.htm", title: "ex04_SoaGatewayEmpGet.php" },
            { url: "tutorials/demo10.htm", title: "ex05_SoaGatewayEmpDel.php" },
            { url: "tutorials/demo11.htm", title: "ex10_SoaGatewaySimpleForm.php" },
            { url: "tutorials/demo12.htm", title: "ex15_SoaGatewayUpdateForm.php" },
            { url: "tutorials/demo_ruby1.htm", title: "empMiniList.rb (Ruby)" },
            { url: "tutorials/demo13.htm", title: "ASGDemo.cs" },
            { url: "tutorials/mysql_city_cs.htm", title: "MySQL_City.cs" },
            { url: "tutorials/lobmf_fdt.htm", title: "FILE 90 (LOB demo file) FDT" },
            { url: "tutorials/lobsmf_lod.htm", title: "FILE 90 (LOB demo file) load parameters" },
            { url: "tutorials/lobos_fdt.htm", title: "FILE90.FDT (LOB demo file FDT)" },
            { url: "tutorials/lobos_fdu.htm", title: "FILE90.FDU (LOB demo file load parameters)" },
            { url: "tutorials/lobs_PHPget.htm", title: "wsf_lobGet.php" },
            { url: "tutorials/natsamp.htm", title: "Natural samples" },
            { url: "tutorials/usgov_tut.htm", title: "Usage Governance Tutorials" },
            { url: "tutorials/usgov_local.htm", title: "Using the local file system" },
            { url: "tutorials/usgov_soagw.htm", title: "Using another SOA Gateway" },
            { url: "tutorials/usgov_mom.htm", title: "Using MOM" },
            { url: "tutorials/usgov_service.htm", title: "Create the usagegovernance web service" },
            { url: "tutorials/entirex_tut.htm", title: "SOAP over EntireX Tutorial" },
         ]
        },
      { url: "admin/index.htm", title: "Security",
       tree: [
            { url: "admin/sectop.htm", title: "SOA Gateway Security" },
            { url: "admin/cctop.htm", title: "SOA Gateway Control Centre" },
            { url: "admin/usingtop.htm", title: "Using SOA Gateway with ..." },
            { url: "admin/servertop.htm", title: "SOA Gateway Server Admin" },
            { url: "admin/statstop.htm", title: "SOA Gateway Statistics" },
            { url: "admin/govtop.htm", title: "SOA Gateway Governance" },
            { url: "admin/secws.htm", title: "Web Services in SOA Gateway" },
            { url: "admin/secip.htm", title: "Securing your server to IP address or hostname." },
            { url: "admin/secuser.htm", title: "Using Username and/or Password" },
            { url: "admin/secssl.htm", title: "SSL Certificates" },
            { url: "admin/ccserver.htm", title: "The SOA Gateway (legacy) Servers View" },
            { url: "admin/advtop.htm", title: "Advanced Topics" },
            { url: "admin/ccservernew.htm", title: "Working with the SOA Gateway View" },
            { url: "admin/ccservernewdnd.htm", title: "Drag-and-drop in the SOA Gateway View" },
            { url: "admin/ccbdv.htm", title: "SOA Gateway BusinessDataViews" },
            { url: "admin/ccactlog.htm", title: "The SOA Gateway Control Center Action Log" },
            { url: "admin/ccprefer.htm", title: "Setting Preferences for the SOA Gateway Control Centre" },
            { url: "admin/ccconfig.htm", title: "The SOA Gateway (legacy) Configuration View" },
            { url: "admin/ccconfignew.htm", title: "Service Configuration" },
            { url: "admin/ccsystrans.htm", title: "Creating a SYSOBJH extract file" },
            { url: "admin/ccdataview.htm", title: "SOA Gateway DataViews" },
            { url: "admin/use_adabas.htm", title: "Using SOA Gateway with Adabas" },
            { url: "admin/ccdiscov.htm", title: "SOA Gateway Service Creation" },
            { url: "admin/use_webserv.htm", title: "Using SOA Gateway to access Web Services" },
            { url: "admin/use_mom.htm", title: "Message Oriented Middleware Support in SOA Gateway" },
            { url: "admin/ccusage_gov.htm", title: "Usage Governance" },
            { url: "admin/lifecyclegov.htm", title: "Lifecycle Governance" },
            { url: "admin/use_proxy.htm", title: "HTTP Proxy Driver" },
            { url: "admin/monitor.htm", title: "Monitor View" },
         ]
        },
      { url: "smarts/apscf/apscf.htm", title: "Introducing SMARTS",
        },
      { url: "smarts/apsims/ioover.htm", title: "Installation and Operation",
       tree: [
            { url: "smarts/apsims/imsdcinst.htm", title: "Installing the IMS/DC Client Environment in a Message Processing Region (MPR)" },
            { url: "smarts/apsims/userdoc.htm", title: "User documentation for SMARTS IMS/DC interface" },
         ]
        },
      { url: "smarts/apsio/ioover.htm", title: "SMARTS Installation and Operation",
       tree: [
            { url: "smarts/apsio/intro1.htm", title: "SMARTS Environments, Features and Requirements" },
            { url: "smarts/apsio/mvsinst.htm", title: "Installation of SMARTS Client on CICS" },
            { url: "smarts/apsio/vseinst.htm", title: "Installation on VSE/ESA" },
            { url: "smarts/apsio/vminst.htm", title: "Installation on VM/CMS" },
            { url: "smarts/apsio/strt5.htm", title: "Initialization and Termination" },
            { url: "smarts/apsio/opc6.htm", title: "Operator Command Processing" },
            { url: "smarts/apsio/mnt7.htm", title: "Support and Maintenance for SMARTS" },
            { url: "smarts/apsio/actbl.htm", title: "Configuration Tables" },
         ]
        },
      { url: "smarts/apsconf/conover.htm", title: "Configuring the SMARTS Environment",
       tree: [
            { url: "smarts/apsconf/parmover.htm", title: "Overview of Configuration Parameters" },
            { url: "smarts/apsconf/confsrce.htm", title: "SMARTS Configuration Sources" },
            { url: "smarts/apsconf/sysparms.htm", title: "Sysparm Format" },
            { url: "smarts/apsconf/posixcon.htm", title: "SMARTS POSIX Layer Configuration" },
            { url: "smarts/apsconf/serveren.htm", title: "Configuration of the SMARTS Server Environment" },
            { url: "smarts/apsconf/envvar.htm", title: "SMARTS Global Environment Variables" },
            { url: "smarts/apsconf/rescon.htm", title: "Configuring Resources for SMARTS" },
         ]
        },
      { url: "smarts/apsmc/overview.htm", title: "SMARTS Messages and Codes",
       tree: [
            { url: "smarts/apsmc/intro.htm", title: "SMARTS Messages - Format and General Introduction" },
            { url: "smarts/apsmc/abend.htm", title: "SMARTS Abend Codes" },
            { url: "smarts/apsmc/apspsx.htm", title: "SMARTS API Messages" },
            { url: "smarts/apsmc/servenv.htm", title: "SMARTS Server Environment Messages" },
            { url: "smarts/apsmc/alloc.htm", title: "Allocated Error Numbers (errno)" },
            { url: "smarts/apsmc/macro.htm", title: "SMARTS Server Environment Internal Macro Description" },
            { url: "smarts/apsmc/reqstat.htm", title: "Request Status Codes" },
         ]
        },
      { url: "smarts/apsposix/posix.htm", title: "Starting and Stopping POSIX",
        },
 ]
};
$.event.trigger({ type: "fishidbloaded", db: adabassoagateway });
