package SoaGW;

import org.apache.axis2.description.TransportOutDescription;

import com.risaris.axis2.mq.transports.MQTransportReceiver;
import com.risaris.axis2.mq.transports.MQTransportSender;

import SoaGW.World_dsn_cityRootServiceStub;
import SoaGW.World_dsn_cityRootServiceStub.World_dsn_cityGroupKeyType;
import SoaGW.World_dsn_cityRootServiceStub.World_dsn_cityGroupListReceiveElement;
import SoaGW.World_dsn_cityRootServiceStub.World_dsn_cityGroupListSendElement;
import SoaGW.World_dsn_cityRootServiceStub.World_dsn_cityGroupType;
import SoaGW.World_dsn_cityRootServiceStub.World_dsn_cityRootElement;

public class SOAPMQTut {
  public static void main(String[] args) {
    try {
 
    	World_dsn_cityRootServiceStub stub = new World_dsn_cityRootServiceStub();
    	
    	TransportOutDescription txOut = new TransportOutDescription("http");
    	MQTransportSender sender = new MQTransportSender();
		txOut.setSender(sender);
		stub._getServiceClient().getOptions().setTransportOut(txOut);
	
		World_dsn_cityGroupKeyType key = new World_dsn_cityGroupKeyType();
		
		key.setID(1517);
		key.setCountryCode("I*");
	
		World_dsn_cityGroupListSendElement lkey = new World_dsn_cityGroupListSendElement();
		lkey.setWorld_dsn_cityGroupListSendElement( key );
	
		stub.list_send( lkey, null, null);

		byte[] MSGID1 = sender.getMessageID();					
		
		key.setID(1518);
		key.setCountryCode("I*");
	
		lkey.setWorld_dsn_cityGroupListSendElement( key );
	
		stub.list_send( lkey, null, null);
		
		byte[] MSGID2 = sender.getMessageID();					

		key.setID(1519);
		key.setCountryCode("I*");
	
		lkey.setWorld_dsn_cityGroupListSendElement( key );
	
		stub.list_send( lkey, null, null);
		
		byte[] MSGID3 = sender.getMessageID();					
		
		Thread.sleep(2000); 
	
		World_dsn_cityRootServiceStub stubR = new World_dsn_cityRootServiceStub( );
		
		World_dsn_cityGroupListReceiveElement input = new World_dsn_cityGroupListReceiveElement();
	
		TransportOutDescription txOutR = new TransportOutDescription("http");
		MQTransportReceiver receiver = new MQTransportReceiver();

		receiver.setMessageID(MSGID2);
		txOutR.setSender( receiver );
		stubR._getServiceClient().getOptions().setTransportOut(txOutR);
		
		World_dsn_cityRootElement results = stubR.list_receive(input, null, null);
		
		World_dsn_cityGroupType [] res = results.getWorld_dsn_cityRootElement().getWorld_dsn_cityRoot().getWorld_dsn_cityGroup();
		
		for (World_dsn_cityGroupType city : res) 
		{
			System.out.println( "City Details:" );
			System.out.println( city.getID() + " " + city.getName() + " " + city.getCountryCode() );
		}
		
		receiver.setMessageID(MSGID3);
		txOutR.setSender( receiver );
		stubR._getServiceClient().getOptions().setTransportOut(txOutR);
		
		results = stubR.list_receive(input, null, null);
		
		res = results.getWorld_dsn_cityRootElement().getWorld_dsn_cityRoot().getWorld_dsn_cityGroup();
		
		for (World_dsn_cityGroupType city : res) 
		{
			System.out.println( "City Details:" );
			System.out.println( city.getID() + " " + city.getName() + " " + city.getCountryCode() );
		}

		receiver.setMessageID(MSGID1);
		txOutR.setSender( receiver );
		stubR._getServiceClient().getOptions().setTransportOut(txOutR);
		
		results = stubR.list_receive(input, null, null);
		
		res = results.getWorld_dsn_cityRootElement().getWorld_dsn_cityRoot().getWorld_dsn_cityGroup();
		
		for (World_dsn_cityGroupType city : res) 
		{
			System.out.println( "City Details:" );
			System.out.println( city.getID() + " " + city.getName() + " " + city.getCountryCode() );
		}
			
    }
    catch (Exception e) {
        System.out.println("Exception: " + e);
        
        e.printStackTrace();
    }
  }
}