CBL LIB,QUOTE
      *Module/File Name: COBENVIR.
       IDENTIFICATION DIVISION.
       PROGRAM-ID. COBENVIR.

       DATA DIVISION.
       WORKING-STORAGE SECTION.
       01  LILIAN                  PIC S9(9) BINARY.
       01  SECONDS                 COMP-2.
       01  GREGORN                 PIC X(17).
       01  GREG-REDEF REDEFINES GREGORN.
           02  CD-YYYY             PIC X(04).
           02  CD-MM               PIC X(02).
           02  CD-DD               PIC X(02).
           02  CD-HH               PIC X(02).
           02  CD-MI               PIC X(02).
           02  CD-SS               PIC X(02).
           02  CD-999              PIC X(03).
       01  FC.
           02  Condition-Token-Value.
           COPY  CEEIGZCT.
               03  Case-1-Condition-ID.
                   04  Severity    PIC S9(4) BINARY.
                   04  Msg-No      PIC S9(4) BINARY.
               03  Case-2-Condition-ID
                         REDEFINES Case-1-Condition-ID.
                   04  Class-Code  PIC S9(4) BINARY.
                   04  Cause-Code  PIC S9(4) BINARY.
               03  Case-Sev-Ctl    PIC X.
               03  Facility-ID     PIC XXX.
           02  I-S-Info            PIC S9(9) BINARY.
       LINKAGE SECTION.
       01  COBOL-ENV               PIC X(80).
       01  OS-ENV                  PIC X(80).
       01  COBOL-DATE              PIC X(30).
       01  CD-REDEF REDEFINES COBOL-DATE.
           02  CD-YYYY             PIC X(04).
           02  CD-DSEP1            PIC X.
           02  CD-MM               PIC X(02).
           02  CD-DSEP2            PIC X.
           02  CD-DD               PIC X(02).
           02  BLANK1              PIC X(02).
           02  CD-HH               PIC X(02).
           02  CD-TSEP1            PIC X.
           02  CD-MI               PIC X(02).
           02  CD-TSEP2            PIC X.
           02  CD-SS               PIC X(02).
           02  CD-TSEP3            PIC X.
           02  CD-999              PIC X(03).
       PROCEDURE DIVISION USING COBOL-ENV OS-ENV COBOL-DATE.

           CALL "CEELOCT" USING LILIAN, SECONDS,
                                GREGORN, FC.

           MOVE " " TO COBOL-ENV OS-ENV COBOL-DATE.
           MOVE CORRESPONDING GREG-REDEF TO CD-REDEF.
           MOVE "/"                TO CD-DSEP1 .
           MOVE "/"                TO CD-DSEP2 .
           MOVE ":"                TO CD-TSEP1 .
           MOVE ":"                TO CD-TSEP2 .
           MOVE "."                TO CD-TSEP3 .

           GOBACK.
       END PROGRAM COBENVIR.

