
import SoaG.*;
import SoaG.AdabasEmployeesMiniServiceStub.*;

/*
 *   The SOA Gateway GET method will return a single record matching the criterion. 
 */

/* Hit Ctrl+S to save the file.
 * The IDE will automatically build the file, and display 
 * errors and warnings in the Problems view. 
 * Now add the class definition and the main method.
*/

public class Tut_01a_Get {

  public static void main(String[] args) {

    try {
	  AdabasEmployeesMiniServiceStub stub = new AdabasEmployeesMiniServiceStub();
	  
	  AdabasEmployeePrimaryKeyType pk = new AdabasEmployeePrimaryKeyType();
	  pk.setPersonnel_id("50005000");
	  	  
	  AdabasEmployeeGetElement getEle = new AdabasEmployeeGetElement();
	  getEle.setAdabasEmployeeGetElement(pk);
	  
	  AdabasEmployeesMiniElement result = null;
	  
	  result = stub.get(getEle, null, null);
	  
	  AdabasEmployeesMiniElementType root = result.getAdabasEmployeesMiniElement();
	  AdabasEmployeesMiniType group = root.getAdabasEmployeesMini();
	  AdabasEmployeeType elements[] = group.getAdabasEmployee();
	  
	  AdabasEmployeeType r = elements[0];
      System.out.println(r.getPersonnel_id() + ", "
		               + r.getName() + ", "
			           + r.getFirst_name() + ", "
			           + r.getCity());
	  
    } catch (Exception ex) {
	  ex.printStackTrace();
    }
  }

}
