<?xml version="1.0"?>
<!DOCTYPE xsl:stylesheet [
  <!ENTITY copy		"&#x0A9;">
  <!ENTITY iacute	"&#x0ED;">
]>
<xsl:stylesheet
		version="1.1"
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	
	<xsl:output method="html" indent="no" encoding="ISO-8859-1" doctype-system="http://www.w3.org/TR/html4/loose.dtd" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" />
	
	<xsl:template match="CalcRoot">
		<html>
			<head>
				<title>Portus accessing a DLL</title>
				<meta http-equiv="Content-Style-Type" content="text/css" />
			</head>
			<body style="line-height: 1.5em; font-weight: bold;">
				<CENTER>
				
				<img alt="SOA Gateway" src="SOA_GATEWAY_CONFIGURATION_DIRECTORY/xsl/topbar.gif" hspace="120" />
				<br/>
				<br/>
				
				<h1>
					DLL Calculator program
				</h1>
				
				<TABLE border="1">
					<CAPTION>
						<font color="#FF3300"> <EM>Output from the DLL Example </EM> </font>
					</CAPTION>
					
					<TR>
						<Td><font color="#3333FF">Calculator Result </font></Td>
					</TR>
				
					<xsl:apply-templates />
				</TABLE>
	 			<P/>
				
				<div class="footer">Copyright <a href="http://www.ostiasolutions.com" title="Ostia Solutions">Ostia Solutions</a>
						<br></br>
						<img alt="Ostia" src="SOA_GATEWAY_CONFIGURATION_DIRECTORY/xsl/logo.gif" hspace="120" />
					</div>
				</CENTER>
			
			</body>
		</html>
	</xsl:template>
	
	
	<xsl:template match="CalcGroup">
		<tr>
			<td>
				<xsl:value-of select="result" />
			</td>
		</tr>
	
	</xsl:template>
	

</xsl:stylesheet>

